updateInsightsFeedback
curl --request POST \
--url https://connvo-dev.convex.cloud/api/run/insights/mutations/updateInsightsFeedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"args": {
"insightId": "insights_ck9hx2g1v0001",
"feedback": {
"read": true,
"useful": true,
"rating": 4,
"notes": "The action items were very helpful, but some recommendations were too generic"
}
}
}
'import requests
url = "https://connvo-dev.convex.cloud/api/run/insights/mutations/updateInsightsFeedback"
payload = { "args": {
"insightId": "insights_ck9hx2g1v0001",
"feedback": {
"read": True,
"useful": True,
"rating": 4,
"notes": "The action items were very helpful, but some recommendations were too generic"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
args: {
insightId: 'insights_ck9hx2g1v0001',
feedback: {
read: true,
useful: true,
rating: 4,
notes: 'The action items were very helpful, but some recommendations were too generic'
}
}
})
};
fetch('https://connvo-dev.convex.cloud/api/run/insights/mutations/updateInsightsFeedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"errorMessage": "",
"errorData": {},
"value": null
}{}{}Insights
updateInsightsFeedback
Calls a mutation at the path insights/mutations.js:updateInsightsFeedback
POST
/
api
/
run
/
insights
/
mutations
/
updateInsightsFeedback
updateInsightsFeedback
Authorizations
Standard user authentication token issued via WorkOS. Provide as Authorization: Bearer <user-token>.
Body
application/json
Show child attributes
Show child attributes
⌘I